VisualStudioProject (Gradle API 3.5)
Date: 2017-04-10

org.gradle.ide.visualstudio

## Interface VisualStudioProject

- All Superinterfaces:
    Buildable, BuildableComponentSpec, ComponentSpec, ModelElement, Named

      @Incubating
      public interface VisualStudioProject
      extends BuildableComponentSpec

  A visual studio project, created from one or more `NativeBinary` instances.

  The content and location of the generate project file can be modified by the supplied methods:

        apply plugin: "visual-studio"
        model {
            visualStudio {
                projects.all {
                    projectFile.location = "vs/${name}.vcxproj"
                    projectFile.withXml {
                        asNode().appendNode('PropertyGroup', [Label: 'Custom'])
                                .appendNode('ProjectDetails', "Project is named ${project.name}")
                    }
                }
            }
        }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeComponentSpec` | `getComponent()` The component that this project represents.
    `XmlConfigFile` | `getFiltersFile()` Configuration for the generated filters file.
    `XmlConfigFile` | `getProjectFile()` Configuration for the generated project file.

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getComponent

          NativeComponentSpec getComponent()

      The component that this project represents.

    - #### getProjectFile

          XmlConfigFile getProjectFile()

      Configuration for the generated project file.

    - #### getFiltersFile

          XmlConfigFile getFiltersFile()

      Configuration for the generated filters file.